# Maintainer: Librewish <librewish@gmail.com>
# Contributer : Guinux <nuxgui@gmail.com>

pkgname=mhwd-nvidia-390xx
pkgver=390.143
pkgrel=1
pkgdesc="mhwd-nvidia-390xx PCI ID database"
arch=("any")
url="https://garudalinux.org/"
license=('GPL2')
makedepends=('nvidia-390xx-dkms')
source=('mhwd-nvidia')
b2sums=('SKIP')

package() {
    install -d "$pkgdir"/var/lib/mhwd/ids/pci/

    # Generate mhwd database
    sh -e "$srcdir"/mhwd-nvidia \
        /usr/share/doc/nvidia/README \
        /usr/src/nvidia-$pkgver/nvidia/nv-kernel.o_binary \
        > "$pkgdir"/var/lib/mhwd/ids/pci/nvidia-390xx.ids
}
